# Uses of Interface
org.osgi.service.packageadmin.ExportedPackage

Packages that use ExportedPackage
Package
Description
org.apache.felix.framework
org.osgi.service.packageadmin
Package Admin Package Version 1.2.

## Uses of ExportedPackage in org.apache.felix.framework

Methods in org.apache.felix.framework that return ExportedPackage
Modifier and Type
Method
Description
`ExportedPackage`
PackageAdminImpl.`getExportedPackage(String name)`
Returns the exported package associated with the specified package name.
`ExportedPackage[]`
PackageAdminImpl.`getExportedPackages(String name)`
`ExportedPackage[]`
PackageAdminImpl.`getExportedPackages(Bundle bundle)`
Returns the packages exported by the specified bundle.

## Uses of ExportedPackage in org.osgi.service.packageadmin

Methods in org.osgi.service.packageadmin that return ExportedPackage
Modifier and Type
Method
Description
`ExportedPackage`
PackageAdmin.`getExportedPackage(String name)`
Deprecated.
Gets the exported package for the specified package name.
`ExportedPackage[]`
PackageAdmin.`getExportedPackages(String name)`
Deprecated.
Gets the exported packages for the specified package name.
`ExportedPackage[]`
PackageAdmin.`getExportedPackages(Bundle bundle)`
Deprecated.
Gets the exported packages for the specified bundle.